com.gisgraphy.hibernate.criterion

## Class ResultTransformerUtil<T>

- java.lang.Object
- - com.gisgraphy.hibernate.criterion.ResultTransformerUtil<T>

-     public class ResultTransformerUtil<T>
      extends Object

  The Class ResultTransformerUtil.
  Author:
    Abhishek Mirge

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static GisFeatureDistanceFactory` | `gisFeatureDistanceFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultTransformerUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<com.gisgraphy.domain.valueobject.GisFeatureDistance>` | `transformToGisFeatureDistance(String[] aliasList, List<?> resultList, Map<Long,Set<String>> featureIdToZipCodesMap, Class clazz)` Transform to bean.
    `static List<com.gisgraphy.domain.valueobject.StreetDistance>` | `transformToStreetDistance(String[] aliasList, List<?> resultList)` Transform to bean.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gisFeatureDistanceFactory

          protected static GisFeatureDistanceFactory gisFeatureDistanceFactory

  - ### Constructor Detail

    - #### ResultTransformerUtil

          public ResultTransformerUtil()

  - ### Method Detail

    - #### transformToGisFeatureDistance

          public static List<com.gisgraphy.domain.valueobject.GisFeatureDistance> transformToGisFeatureDistance(String[] aliasList,
                                                                                                List<?> resultList,
                                                                                                Map<Long,Set<String>> featureIdToZipCodesMap,
                                                                                                Class clazz)

      Transform to bean. See bug http://opensource.atlassian.com/projects/hibernate/browse/HHH-2463
      Parameters:
        `aliasList` - the alias list
        `resultList` - the result list
      Returns:
        the list of GisFeatureDistance

    - #### transformToStreetDistance

          public static List<com.gisgraphy.domain.valueobject.StreetDistance> transformToStreetDistance(String[] aliasList,
                                                                                        List<?> resultList)

      Transform to bean. See bug http://opensource.atlassian.com/projects/hibernate/browse/HHH-2463
      Parameters:
        `aliasList` - the alias list
        `resultList` - the result list
      Returns:
        the list of `StreetDistance`

Copyright © 2015. All rights reserved.